Subject: [TLS] How to offload modular exponentiation to Octeon II Crypto Coprocessor

From: Debapriyay Mukhopadhyay <[email-masked]>
Date: Fri, 1 Jul 2016 17:19:31 +0530

Hi,
   First of all, I beg apology if my post is not suitable for this group.

   Is it possible to offload modular exponentiation required in RSA and
Diffie-Hellman to         Hardware (Crypto Co-processor) that comes with
Octeon II platform.

  In some document, I have seen that Octeon II platform do support that.
But, I am not getting how to do that. What macros to be used etc?

Can anyone please provide me with some pointer that would be really helpful.

  Thanks.

Regards

Debapriyay Mukhopadhyay